Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 06/15/2023 in all areas

  1. Try turning off Hardware acceleration, GRAPHICSCONFIG.
    2 points
  2. Thanks, worked great with nth! Very nice work, will help me a lot, I really appreciate it!
    1 point
  3. Thanks! It works for all directions, gives coordinates for all intersections. BUT, because of my very little to no knowledge, I cannot understand which point is which variable. I want to make linear dimension using those (one horizontal or one vertical) so I need to know which is which. As I see, now all the points are stored in one variable (MyPt).
    1 point
  4. Thank you so much! It works well for 1 direction, gives coordinates of point of intersection located to the right of the chosen point. Now I have to figure out how to modify it to do the same for the other 3 directions.
    1 point
  5. Here is one way to use grdraw function to create temporary rubber band. (defun c:Test (/ ins lst tmp len) ;;----------------------------------------------------;; ;; Author : Tharwat Al Choufi ;; ;; website: https://autolispprograms.wordpress.com ;; ;;----------------------------------------------------;; (while (setq ins (getpoint "\nSpeicy point : ")) (setq len (* 0.5 (/ (getvar "VIEWSIZE") 10))) (foreach pt (setq lst (cons ins lst)) (setq tmp (* pi 0.25)) (grdraw (polar pt tmp len) (polar pt (setq tmp (+ pi tmp)) len) 1 0 ) (grdraw (polar pt (setq tmp (* (* pi 0.25) 3.0)) len) (polar pt (setq tmp (+ pi tmp)) len) 1 0 ) ) ) (redraw) (princ) )
    1 point
  6. I think it's code 67 @marko_ribar This should get all hidden items .. also paperspace viewports too. (ssget "_X" '((67 . 1)))
    1 point
  7. Select All with : (setq ss (ssget "_X")) Iterate through sel.set... - if object is hidden it has (60 . 1) in (entget) DXF code list - if object is visible (not hidden) it don't have (assoc 60 (entget ent)), or it has (60 . 0) Regards, M.R.
    1 point
×
×
  • Create New...